<div style="margin-bottom: 15px;">
        <h4>
            <span>Budgeting IT</span>
        </h4>
        <p-dataTable
            [value]="budgetings"
            [editable]="true"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            dataKey="idPurchaseOrder"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
            (onEditComplete)="updateRowData($event)">
            <p-header>
                <div class="nav justify-content-end">
                    <li class="nav-item">
                        <button class="btn btn-primary float-right"
                        [routerLink]="['/budgeting-new']">
                            <i class="fa fa-plus"></i>&nbsp;&nbsp;{{ 'entity.action.add' | translate }}
                        </button>
                    </li>
                </div>
                <!-- <ul class="nav justify-content-end">
                    <li class="nav-item">
                        <a class="btn" (click)="openAdd()"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                    </li>
                </ul> -->
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Please Insert Budgeting">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <!-- <p-column header="Budget Number">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.requestNumber}}
                </ng-template>
            </p-column> -->
            <p-column header="BudgetNumber">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.requestNumber}}
                </ng-template>
            </p-column>
            <p-column header="Date">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtOrder | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Division">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.div}}
                </ng-template>
            </p-column>
            <p-column header="Created By">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdBy}}
                </ng-template>
            </p-column>
            <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <!-- <button pButton type="submit"
                            [routerLink]="['../budgeting/budgeting-new]"
                            icon="fa-eye"
                            class="flat-button">
                    </button> -->
                    <button pButton type="submit"
                            [routerLink]="['../budgeting/0/' + page + '/' + rowData.idrequest + '/edit']"
                            icon="fa-pencil"
                            class="flat-button">
                    </button>
                    <button pButton type="submit"
                            (click)="delete(rowData.idrequest)"
                            icon="fa-remove"
                            class="flat-button">
                    </button>
                    <!-- <button pButton type="submit"
                            (click)="print(rowData.idPurchaseOrder, rowData)"
                            icon="fa-print"
                            class="flat-button">
                    </button> -->
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
    <div style="margin-top: 10px;"></div>
    
    <p-confirmDialog></p-confirmDialog>